# Package org.apache.cassandra.db.filter

Interface Summary
IDiskAtomFilter: Given an implementation-specific description of what columns to look for, provides methods to extract the desired columns from a Memtable, SSTable, or SuperColumn.

Class Summary
ColumnCounter
ColumnCounter.GroupByPrefix
ColumnCounter.GroupByPrefixReversed: Similar to GroupByPrefix, but designed to handle counting cells in reverse order.
ColumnSlice
ColumnSlice.Serializer
ExtendedFilter: Extends a column filter (IFilter) to include a number of IndexExpression.
ExtendedFilter.WithClauses
IDiskAtomFilter.Serializer
NamesQueryFilter
NamesQueryFilter.Serializer
QueryFilter
SliceQueryFilter
SliceQueryFilter.Serializer

Exception Summary
TombstoneOverwhelmingException